### Method

# Adw WrapBox set_wrap_policy

since: 1.7

#### Declaration [src]

    void
    adw_wrap_box_set_wrap_policy (
      AdwWrapBox* self,
      AdwWrapPolicy wrap_policy
    )

#### Description [src]

Sets the policy for line wrapping.

If set to `ADW_WRAP_NATURAL`, the box will wrap to the next line as soon as the previous line cannot fit any more children without shrinking them past their natural size.

If set to `ADW_WRAP_MINIMUM`, the box will try to fit as many children into each line as possible, shrinking them down to their minimum size before wrapping to the next line.

Available since: 1.7

Sets property | `Adw.WrapBox:wrap-policy`

#### Parameters

`wrap_policy`

  Type: `AdwWrapPolicy`

  The new wrap policy.